Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594719 - no 16x16 fileopen.png in Mist theme
Summary: no 16x16 fileopen.png in Mist theme
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 12:57 UTC by Steven Usdansky
Modified: 2010-05-25 10:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-25 10:12:52 UTC


Attachments (Terms of Use)
Crux vs. Mist showing enlarged folder-link icon in Mist (deleted)
2010-05-24 17:39 UTC, Steven Usdansky
no flags Details

Description Steven Usdansky 2010-05-21 12:57:45 UTC
Description of problem:
No 16x16 fileopen.png link in Mist theme. Toolbar (which uses small icons) shows the 48x48 version - this triples the height of the toolbar and just looks ugly

Version-Release number of selected component (if applicable):
gnome-themes-2.31.1-1.fc14.noarch

How reproducible:
100% of the time

Steps to Reproduce:
1. Select Mist or Fedora icon theme
2. Use gconf-editor to change size of toolbar icons to small
3. run geany

  
Actual results:
Bask in the ugliness of an oversized file-open icon while the other toolbar icons 
are all properly sized

Expected results:
A properly-sized file-open icon

Additional info:
F13 has the link:
dir /mnt/Goddard/usr/share/icons/Mist/16x16/actions/
total 16
drwxr-xr-x 2 root root 4096 Apr 15 20:55 .
drwxr-xr-x 7 root root 4096 Apr 15 20:55 ..
-rw-r--r-- 1 root root  784 Apr  6 20:53 document-open.png
lrwxrwxrwx 1 root root   17 Apr 15 20:55 fileopen.png -> document-open.png
-rw-r--r-- 1 root root  833 Apr  6 20:53 folder-new.png
lrwxrwxrwx 1 root root   17 Apr 15 20:55 gtk-open.png -> document-open.png

Manually creating the link in Rawhide ameliorates the issue

Comment 1 Matthias Clasen 2010-05-21 13:49:03 UTC
That is a bug in the tool. It needs to use the proper icon name

Comment 2 Steven Usdansky 2010-05-24 17:39:14 UTC
Created attachment 416181 [details]
Crux vs. Mist showing enlarged folder-link icon in Mist

Rawhide GNOME running Nautilus to show the desktop updated 24-May. The icon for the linked folder named "misc" is oversized when using the Fedora or Mist themes (right cutout in attachment), but is properly-sized when using the Crux (left cutout in attachment) or GNOME themes. Something definitely appears to be defective in the Rawhide version of the Mist theme.

Comment 3 Matthias Clasen 2010-05-24 23:46:10 UTC
Try gnome-themes-2.31.1-2.fc14

Comment 4 Steven Usdansky 2010-05-25 10:12:52 UTC
gnome-themes-2.31.1-2.fc14 fixed the problem. Thanks. Marking this closed - rawhide


Note You need to log in before you can comment on or make changes to this bug.